Bug 1297945 - arpwatch cannot parse 802.1q VLAN tags - error message: "sent bad hardware format 0x<VLAN ID #>"
arpwatch cannot parse 802.1q VLAN tags - error message: "sent bad hardware fo...
Status: NEW
Product: Fedora
Classification: Fedora
Component: arpwatch (Show other bugs)
26
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 15:12 EST by James Boyle
Modified: 2017-07-27 16:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Boyle 2016-01-12 15:12:22 EST
Description of problem:
arpwatch cannot parse 802.1q VLAN tags

Version-Release number of selected component (if applicable):
arpwatch-2.1a15-34.fc23

How reproducible:
always / 100%

Steps to Reproduce:
1. Use / have 802.1q VLANs available on your network interface
2. Install & run arpwatch
3. journalctl _SYSTEMD_UNIT=arpwatch.service

Actual results:
arpwatch[]: d0:3:4b:7a:54:7d sent bad hardware format 0x4
arpwatch[]: d8:fc:93:34:b0:25 sent bad hardware format 0x4
arpwatch[]: 80:0:b:4d:d7:4e sent bad hardware format 0x4
arpwatch[]: 80:0:b:4d:d7:4e sent bad hardware format 0x4
arpwatch[]: 80:0:b:3f:b0:15 sent bad hardware format 0x4
arpwatch[]: 60:57:18:3f:d5:95 sent bad hardware format 0x5
arpwatch[]: c:8b:fd:9a:1d:61 sent bad hardware format 0x4

Expected results:
Arpwatch should be able to handle VLAN tags.  In the sample output above, the nodes are on VLANs 4 and 5.

Additional info:
The Debian folks noticed this behavior a while back, but it doesn't seem like they've taken care of it either.  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=625796

Maybe someone at Red Hat has a line to the folks at LBNL / http://ee.lbl.gov/ ... ?
Comment 1 Fedora End Of Life 2017-07-25 15:46:22 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.